Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.ser.std
Class StdContainerSerializers

    java.lang.Object
      com.fasterxml.jackson.databind.ser.std.StdContainerSerializers

    public class StdContainerSerializers

extends Object

Dummy container class to group standard container serializers: serializers that can serialize things like `List`s, `Map`s and such.

Constructor Summary
`protected` | `StdContainerSerializers()`

Method Summary
`static ContainerSerializer<?>` | `collectionSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)`
`static JsonSerializer<?>` | `enumSetSerializer(JavaType enumType)`
`static ContainerSerializer<?>` | `indexedListSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)`
`static ContainerSerializer<?>` | `iterableSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts)`
`static ContainerSerializer<?>` | `iteratorSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdContainerSerializers

    protected StdContainerSerializers()

Method Detail

### indexedListSerializer

    public static ContainerSerializer<?> indexedListSerializer(JavaType elemType,
                                                               boolean staticTyping,
                                                               TypeSerializer vts,
                                                               BeanProperty property,
                                                               JsonSerializer<Object> valueSerializer)

### collectionSerializer

    public static ContainerSerializer<?> collectionSerializer(JavaType elemType,
                                                              boolean staticTyping,
                                                              TypeSerializer vts,
                                                              BeanProperty property,
                                                              JsonSerializer<Object> valueSerializer)

### iteratorSerializer

    public static ContainerSerializer<?> iteratorSerializer(JavaType elemType,
                                                            boolean staticTyping,
                                                            TypeSerializer vts)

### iterableSerializer

    public static ContainerSerializer<?> iterableSerializer(JavaType elemType,
                                                            boolean staticTyping,
                                                            TypeSerializer vts)

### enumSetSerializer

    public static JsonSerializer<?> enumSetSerializer(JavaType enumType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.